# ArgumentValue class

Holder for a constructor argument value, including its optional type and name metadata.

Extends ConvertibleValue to support constructor argument conversion and provides additional metadata for argument resolution.

Example usage:

    final vh = ArgumentValue('localhost', 'dart.core.String', 'host');
    print(vh.value); // 'localhost'
    print(vh.type);  // 'String'

Inheritance
  - Object
  - ObjectHolder<Object?>
  - ConvertibleValue
  - ArgumentValue

## Constructors

ArgumentValue.new(Object? value, {String? qualifiedName, String? packageName, String? name})
  Holder for a constructor argument value, including its optional type and name metadata.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

copy() → ArgumentValue
  Creates a deep copy of this ArgumentValue.
equalizedProperties() → List<Object?>
  Mixin-style contract for value-based equality, `hashCode`, and `toString`.
  override
getConvertedValue() → Object?
  Returns the converted value after type transformation has been applied.
  inherited
getName() → String?
  The logical name of the constructor argument, if provided.
getPackageName() → String?
  Returns the package name associated with the held object, or `null` if not provided.
  inherited
getQualifiedName() → String?
  Returns the fully qualified name associated with the held object, or `null` if not provided.
  inherited
getType() → Class?
  Returns the type of the held value.
  inherited
getValue() → Object?
  Returns the underlying held value of type `T`.
  inherited
isConverted() → bool
  Returns whether the value has been successfully converted.
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
setConvertedValue(Object? convertedValue) → void
  Sets the converted value and marks the value as converted.
  inherited
toString() → String
  A string representation of this object.
  inherited
toStringOptions() → ToStringOptions
  override

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited